Structures describing codec parameters
Codec registry

Informations about supported codec parameters. More...

## Data Structures

union | lqt_parameter_value_t
| Union for holding parameter values. More...
struct | lqt_parameter_info_t
| Structure describing a parameter. More...

## Enumerations

enum | lqt_parameter_type_t { LQT_PARAMETER_INT, LQT_PARAMETER_FLOAT, LQT_PARAMETER_STRING, LQT_PARAMETER_STRINGLIST, LQT_PARAMETER_SECTION }
| Parameter types. More...

## Detailed Description

Informations about supported codec parameters.

## Enumeration Type Documentation

## lqt_parameter_type_t

enum lqt_parameter_type_t

Parameter types.

These describe the datatypes of a parameter.

Enumerator
LQT_PARAMETER_INT | Integer
LQT_PARAMETER_FLOAT | Float
LQT_PARAMETER_STRING | String
LQT_PARAMETER_STRINGLIST | String with fixed set of options
LQT_PARAMETER_SECTION | Dummy type to group parameters into sections.